#
# Kappa::Resume -- Resume with Kappa contact preamble
#
# Copyright (c) 2002 Brian Katzung, Kappa Computer Solutions, LLC.
# All rights reserved.
#
# 2002-10-20	Created by Brian Katzung
#

package Kappa::Resume;

use strict;
use Resume;
use Parse::XMLLite qw(format_attribute);

use vars qw(@ISA);

@ISA = qw(Resume);

#----------------------------------------------------------------------
# Handle preamble (private instance method)

sub _preamble
{
	my ($self) = @_;
	my $resume = $self->get_resume_node();
	my $attr = $resume->{'attribute'};
	my $title = format_attribute('title',
	  ($self->{'dict'}{'Resume of'} || 'Resume of') . " $attr->{'name'}");
	my $updated = $self->{'dict'}{'Updated'} || 'Updated';
	my $phone = $self->{'dict'}{'Phone'} || 'Phone';
	my $fax = $self->{'dict'}{'FAX'} || 'FAX';
	my $email = $self->{'dict'}{'Email'} || 'Email';

	$self->{'draw'}->append(<<EOT);
<DOCINFO $title/>
<HEAD>
<TABLE width='100%' twidth='100%'><TR valign='top'>
<TD><H1>$attr->{'name'}</H1></TD>
<TD align='right'>$updated: $attr->{'updated'}<BR/>
<PAGENUM/></TD>
</TR></TABLE>
</HEAD>
<BODY>
<TABLE>
<TR><TD><TABLE>
<TR valign='top'><TD>$phone:</TD>
<TD rowspan='3'>&nbsp;&nbsp;</TD>
<TD>+1.877.367.8837 (US)<BR/>+1.781.370.1093</TD></TR>
<TR valign='top'><TD>$fax:</TD>
<TD>+1.847.291.0506</TD></TR>
<TR valign='top'><TD>$email:</TD>
<TD><A href='mailto:info\@kappacs.com'>info\@kappacs.com</A></TD></TR>
</TABLE></TD>
<TD>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
<TD>Kappa Computer Solutions, LLC<BR/>
3223 Lake Ave #15C-393<BR/>
Wilmette, IL 60091-1074, USA<BR/>
<A href='http://www.kappacs.com/'>http://www.kappacs.com/</A></TD></TR>
</TABLE>
EOT
}

1;
