#
# Render::Dump -- Simple dumping renderer
#
# Copyright (c) 2002, 2003 Brian Katzung, Kappa Computer Solutions, LLC.
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For more information, contact:
#
#	Kappa Computer Solutions, LLC
#	3223 Lake Ave #15C-393
#	Wilmette, IL 60091-1074
#	877.367.8837 (US) or 781.370.1093
#	http://www.kappacs.com/
#
# 2002-09-25	Created by Brian Katzung
#

package Render::Dump;

use strict;

#----------------------------------------------------------------------
# Append formatting code (public instance method)

sub append
{
	my ($self, $text) = @_;

	print {$self->{'file'}} $text;
}

#----------------------------------------------------------------------
# Create new instance of renderer (public class method)

sub new
{
	my ($class, $file) = @_;
	
	return bless
	{
		'file' => $file || *STDOUT,
	}, $class;
}

#----------------------------------------------------------------------
# Render formatting code (public instance method)

sub render
{
	# Already done in append.
}

1;
