Sub XResCleanup()
'
' XResCleanup Macro
' Macro recorded 2002-10-17 by Brian Katzung
'
' Copyright (c) 2002 Brian Katzung, Kappa Computer Solutions, LLC
' All rights reserved.
'
'   This program is free software WHEN USED FOR NON-COMMERCIAL PURPOSES;
'   you can redistribute it and/or modify it under the terms of the GNU
'   General Public License as published by the Free Software Foundation;
'   either version 2 of the License, or (at your option) any later version.
'
'   This program is distributed in the hope that it will be useful,
'   but WITHOUT ANY WARRANTY; without even the implied warranty of
'   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'   GNU General Public License for more details.
'
'   You should have received a copy of the GNU General Public License
'   along with this program; if not, write to the Free Software
'   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
' For more information or commercial-use licensing, contact:
'
'	Kappa Computer Solutions, LLC
'	3223 Lake Ave #15C-393
'	Wilmette, IL 60091-1074
'	877.367.8837 (US) or 781.370.1093
'	http://www.kappacs.com/
'
    If ActiveWindow.View.SplitSpecial = wdPaneNone Then
        ActiveWindow.ActivePane.View.Type = wdPrintView
    Else
        ActiveWindow.View.Type = wdPrintView
    End If
    With ActiveDocument.PageSetup
        .TopMargin = InchesToPoints(0.5)
        .BottomMargin = InchesToPoints(0.5)
        .LeftMargin = InchesToPoints(0.5)
        .RightMargin = InchesToPoints(0.5)
    End With
    Selection.Tables(1).Select
    Selection.Cut
    Selection.Delete Unit:=wdCharacter, Count:=1
    If ActiveWindow.View.SplitSpecial <> wdPaneNone Then
        ActiveWindow.Panes(2).Close
    End If
    If ActiveWindow.ActivePane.View.Type = wdNormalView Or ActiveWindow. _
        ActivePane.View.Type = wdOutlineView Then
        ActiveWindow.ActivePane.View.Type = wdPrintView
    End If
    ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    Selection.Paste
    Selection.Find.ClearFormatting
    With Selection.Find
        .Text = "PageXofY"
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = False
        .MatchCase = True
        .MatchWholeWord = True
        .MatchWildcards = False
        .MatchSoundsLike = False
        .MatchAllWordForms = False
    End With
    Selection.Find.Execute
    NormalTemplate.AutoTextEntries("Page X of Y").Insert Where:=Selection. _
        Range
    ActiveWindow.ActivePane.View.SeekView = wdSeekMainDocument
    With ActiveDocument.Styles("Heading 1").Font
        .Underline = wdUnderlineSingle
        .UnderlineColor = 6250335
    End With
    With ActiveDocument.Styles("Heading 1").ParagraphFormat
        .KeepWithNext = True
        .KeepTogether = True
    End With
    With ActiveDocument.Styles("Heading 2").ParagraphFormat
        .KeepWithNext = True
        .KeepTogether = True
    End With
    With ActiveDocument.Styles("Heading 3").ParagraphFormat
        .KeepWithNext = True
        .KeepTogether = True
    End With
End Sub
